%define	debug_package	%{nil} 

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%if 0%{?centos} == 6 || 0%{?rhel} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7 || 0%{?rhel} >= 7
%global         with_python3 1
%endif

Name:		libfsfat
Version:	20220925
Release:	1%{?dist}
Summary:	Library to access the File Allocation Table (FAT) file system format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfsfat/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool
              
%description
Libfsfat is a library to access the File Allocation Table (FAT) file system format

%package devel
Summary: Header files and libraries for developing applications for libfsfat
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfsfat.

%package tools
Summary: Several tools for reading Extended File System (ext) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading the File Allocation Table (FAT) file system format

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libfsfat
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libfsfat
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsfat
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfsfat
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} != 36
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfsfat.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} != 36
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} != 36
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Sep 25 2022 Lawrence R. Rogers <lrr@cert.org> 20220925-1
* Release 20220925-1
	Version from 20220925
